<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <title>Car Care</title>
    <link href="../static/css/table.css" th:href="@{css/table.css}" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/js/bootstrap.min.js"></script>
    <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>

    <!-- css files -->
    <link href="../static/css/bootstrap.css" th:href="@{css/bootstrap.css}" rel="stylesheet" type="text/css"
          media="all"/> <!-- Bootstrap-Core-CSS -->
    <link href="../static/css/style.css" th:href="@{css/style.css}" rel="stylesheet" type="text/css" media="all"/>
    <!-- Style-CSS -->
    <link rel="stylesheet" href="../static/css/font-awesome.css" th:href="@{css/font-awesome.css}">
    <!-- Font-Awesome-Icons-CSS -->
    <link th:href="@{/css/popup.css}" href="../static/css/popup.css" rel="stylesheet">

    <!-- //css files -->

    <!-- online-fonts -->
    <link href="//fonts.googleapis.com/css?family=Jockey+One&amp;subset=latin-ext" rel="stylesheet">
    <link href="//fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i&amp;subset=cyrillic,cyrillic-ext,greek,greek-ext,latin-ext,vietnamese"
          rel="stylesheet">
    <link href="//fonts.googleapis.com/css?family=Niconne&amp;subset=latin-ext" rel="stylesheet">
    <!-- //online-fonts -->

</head>

<body>
<!-- banner -->
<div class="banner-2 wthree">
    <div class="container">
        <div class="banner_top">
            <div class="logo wow fadeInLeft animated animated" data-wow-delay=".5s"
                 style="visibility: visible; animation-delay: 0.5s; animation-name: fadeInLeft;">
                <h1><a th:href="@{/}"><span>C</span>ar Care</a></h1>
            </div>
            <div class="banner_top_right wow fadeInRight animated animated" data-wow-delay=".5s"
                 style="visibility: visible; animation-delay: 0.5s; animation-name: fadeInRight;">
                <nav class="navbar navbar-default">
                    <!-- Brand and toggle get grouped for better mobile display -->
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                                data-target="#bs-example-navbar-collapse-1">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                    </div>

                    <!-- Collect the nav links, forms, and other content for toggling -->
                    <div class="collapse navbar-collapse nav-wil" id="bs-example-navbar-collapse-1">
                        <ul class="nav navbar-nav cl-effect-14">
                            <li><a th:href="@{/}">Home</a></li>
                            <li><a th:href="@{/contact}" class="active">Contact Us</a></li>
                            <li><a sec:authorize="hasRole('ADMIN')" th:href="@{/admin}">Admin Portal</a></li>
                            <li><a sec:authorize="!isAuthenticated()" th:href="@{/login}">Login</a></li>
                            <li><a sec:authorize="isAuthenticated()" th:action="@{/logout}">Logout</a></li>
                        </ul>
                    </div><!-- /.navbar-collapse -->

                </nav>
            </div>
            <div class="clearfix"></div>
        </div>
        <!-- banner -->

    </div>
</div>
<!-- //banner -->

<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css" rel='stylesheet'
      type='text/css'>

<div class="container">
    <div class="row">
        <div class="col-md-10 col-md-offset-1">
            <div class="panel panel-default panel-table">
                <div class="panel-heading">
                    <div class="row">
                        <div class="col col-xs-6">
                            <h1 class="panel-title">Customers</h1>
                        </div>
                        <!--                        <div class="col col-xs-6 text-right">-->
                        <!--                            <a  th:href="@{/cars/new}" type="button" class="btn btn-sm btn-primary btn-create">-->
                        <!--                                Create New-->
                        <!--                            </a>-->
                        <!--                        </div>-->
                    </div>
                </div>
                <div class="panel-body">
                    <table class="table table-striped table-bordered table-list">
                        <thead>
                        <tr>
                            <th><em class="fa fa-cog"></em></th>
                            <th class="hidden-xs">ID</th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Phone</th>
                            <th>Cars' registrations</th>
                        </tr>

                        </thead>
                        <tbody>
                        <tr th:each="customer : ${customers}">
                            <td align="center">

                                <div id="table-content">
                                    <div th:id="${customer.getId()}" class="user-id-current">
                                        <a  class="btn btn-default edit-user-final" href="#popup1"><em
                                                class="fa fa-pencil"></em></a>
                                    </div>
                                </div>

                                <a th:href="@{'/admin/customers/delete/' + ${customer.getId()}}"
                                   onclick="return confirm('Are you sure you want to delete this customer?');"
                                   class="btn btn-danger"><em class="fa fa-trash"></em></a>

                            </td>
                            <td th:text="${customer.getId()}" class="hidden-xs">1</td>
                            <td th:text="${customer.getName()}">John Doe</td>
                            <td th:text="${customer.getEmail()}">johndoe@example.com</td>
                            <td th:text="${customer.getPhone()}"></td>
                            <td th:text="${customer.getCars()}"></td>
                        </tr>
                        </tbody>
                    </table>

                </div>
                <div class="panel-footer">
                    <div class="row">
                        <div class="col col-xs-4">
                        </div>
                        <div class="col col-xs-8">
                            <ul class="pagination pull-right">
                                <li id="previous-page" class="page-item">
                                    <a class="page-link" href="#">Previous</a>
                                </li>
                                <li id="current-page" class="page-item"><a id="current-page-value"
                                                                           class="page-link" href="#"
                                                                           data-custom-value="0">1</a>
                                </li>
                                <li id="next-page" class="page-item"><a class="page-link"
                                                                        href="#">Next</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

<div id="popup1" class="overlay">
    <div class="popup">
        <h2>Editorial Window</h2>
        <a id="close-pop" class="close" href="#">&times;</a>
        <div id="content">

            <div class="form-group">
                <label for="name-edit">Name</label>
                <input type="email" class="form-control" id="name-edit"
                       placeholder="Name">
            </div>

            <div class="form-group">
                <label for="phone-edit">Phone</label>
                <input type="text" class="form-control" id="phone-edit" placeholder="Phone">
            </div>

            <br>

            <button type="submit" class="btn btn-primary btn-md submit-edit">Edit
            </button>
        </div>
    </div>
</div>

<!-- Footer -->
<div class="footer1 w3ls">
    <div class="container">
        <div class="footer-main">
            <div class="footer-top">
                <div class="col-md-4 ftr-grid fg1">
                    <h4><a href="index.html">Auto Car</a></h4>
                    <p>Lorem ipsum dolor sit amet, consectetur adip magna aliqua. Ut enim ad minim veniam, quis nostrud
                        exercitation</p>
                </div>
                <div class="col-md-4 ftr-grid fg2">
                    <h3>Our Address</h3>
                    <div class="ftr-address">
                        <div class="local">
                            <i class="fa fa-phone" aria-hidden="true"></i>
                        </div>
                        <div class="ftr-text">
                            <p>+359 89 952 0590</p>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="ftr-address">
                        <div class="local">
                            <i class="fa fa-envelope" aria-hidden="true"></i>
                        </div>
                        <div class="ftr-text">
                            <p><a href="mailto:info@example.com">hadzhiev.service@gmail.com</a></p>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
                <div class="col-md-4 ftr-grid fg2">
                    <h3>Keep In Touch With Us</h3>
                    <div class="right-w3l">
                        <ul class="top-links">
                            <li><a href="#"><i class="fa fa-facebook"></i></a></li>
                        </ul>
                    </div>
                    <div class="right-w3-2">
                        <ul class="text-w3">
                            <li><a href="#">Facebook</a></li>
                        </ul>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
</div>
<!-- Footer -->

<!-- js-scripts -->
<!-- js -->
<script type="text/javascript" src="js/jquery-2.1.4.min.js"></script>
<script type="text/javascript" src="js/bootstrap.js"></script> <!-- Necessary-JavaScript-File-For-Bootstrap -->
<!-- //js -->
<!--		<script src="js/jzBox.js"></script>-->
<!-- //js-scripts -->
</body>

<script src="../static/js/admin.js" th:src="@{/js/admin.js}"></script>
<script src="../static/js/pagination.js" th:src="@{/js/pagination.js}"></script>

</html>